package com.unipi.talepis.sqlite2;

import android.app.AlertDialog;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends AppCompatActivity
implements View.OnClickListener{
    EditText editStud_id,editName,editMarks;
    Button btnAdd,btnDelete,btnModify,btnView,btnViewAll;
    SQLiteDatabase db;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editStud_id=(EditText)findViewById(R.id.editText2);
        editName=(EditText)findViewById(R.id.editText3);
        editMarks=(EditText)findViewById(R.id.editText4);
        btnAdd=(Button)findViewById(R.id.button1);
        btnDelete=(Button)findViewById(R.id.button2);
        btnModify=(Button)findViewById(R.id.button3);
        btnView=(Button)findViewById(R.id.button4);
        btnViewAll=(Button)findViewById(R.id.button5);
        btnAdd.setOnClickListener(this);
        btnDelete.setOnClickListener(this);
        btnModify.setOnClickListener(this);
        btnView.setOnClickListener(this);
        btnViewAll.setOnClickListener(this);

        db=openOrCreateDatabase("StudentDB", Context.MODE_PRIVATE,null);
        db.execSQL("CREATE TABLE IF NOT EXISTS student(Stud_id VARCHAR,name VARCHAR,marks VARCHAR);");
    }
    public void showMessage(String Title,String message){
        AlertDialog.Builder builder=new AlertDialog.Builder(this);
        builder.setCancelable(true);
        builder.setTitle(Title);
        builder.setMessage(message);
        builder.show();
    }
    public void clearText(){
        editStud_id.setText("");
        editName.setText("");
        editMarks.setText("");
        editStud_id.requestFocus();
    }

    @Override
    public void onClick(View v) {
        if (v==btnAdd) {
            if (editStud_id.getText().toString().trim().length()==0||
                    editName.getText().toString().trim().length()==0||
                    editMarks.getText().toString().trim().length()==0){
                showMessage("Error","Please enter all values");
                return;
            }
            db.execSQL("INSERT INTO student VALUES('"+editStud_id.getText()+"','"+
            editName.getText()+"','"+editMarks.getText()+"');");
            showMessage("Bravo","Record Added!");
            clearText();
        }
        if (v==btnViewAll){
            Cursor c=db.rawQuery("SELECT * FROM student", null);
            if (c.getCount()==0){
                showMessage("Sorry","No records found");
                return;
            }
            StringBuffer buffer=new StringBuffer();
            while (c.moveToNext()){
                buffer.append("Student ID:"+c.getString(0)+"\n");
                buffer.append("Student Name:"+c.getString(1)+"\n");
                buffer.append("Student Grade:"+c.getString(2)+"\n\n");
            }
            showMessage("Student Details", buffer.toString());
        }
        if (v==btnView){
            if (editStud_id.getText().toString().trim().length()==0){
                showMessage("Error","Please give Student ID");
                return;
            }
            Cursor c=db.rawQuery("SELECT * FROM student WHERE Stud_id='"+editStud_id.getText()+"';",null);
            if (c.moveToFirst()){
                //editStud_id.setText(c.getString(0));
                editName.setText(c.getString(1));
                editMarks.setText(c.getString(2));
            }
        }
    }
}
